package com.sooka.sponest.monitor.remoteapi.service.center.event.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 centerevent_t_downloads
 *
 * @author ruoyi
 * @date 2023-09-12
 */
public class CentereventTDownloads extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 事件编码 */
            @Excel(name = "事件编码")
    private String eventCode;

    /** 事件名称 */
            @Excel(name = "事件名称")
    private String eventName;

    /** 视频路径 */
            @Excel(name = "视频路径")
    private String path;

    /** 视频下载是否成功 */
            @Excel(name = "视频下载是否成功")
    private String flag;

    /** 失败原因 */
            @Excel(name = "失败原因")
    private String reason;

    /** 创建人名称 */
            @Excel(name = "创建人名称")
    private String createName;

    /** 更新人名称 */
            @Excel(name = "更新人名称")
    private String updateName;

    private String logId;

            public String getAttachPath() {
                return attachPath;
            }

            public void setAttachPath(String attachPath) {
                this.attachPath = attachPath;
            }

            private String attachPath;

            public String getLogId() {
                return logId;
            }

            public void setLogId(String logId) {
                this.logId = logId;
            }

            public void setId(String id)
            {
            this.id = id;
            }

    public String getId()
            {
            return id;
            }
    public void setEventCode(String eventCode)
            {
            this.eventCode = eventCode;
            }

    public String getEventCode()
            {
            return eventCode;
            }
    public void setEventName(String eventName)
            {
            this.eventName = eventName;
            }

    public String getEventName()
            {
            return eventName;
            }
    public void setPath(String path)
            {
            this.path = path;
            }

    public String getPath()
            {
            return path;
            }
    public void setFlag(String flag)
            {
            this.flag = flag;
            }

    public String getFlag()
            {
            return flag;
            }
    public void setReason(String reason)
            {
            this.reason = reason;
            }

    public String getReason()
            {
            return reason;
            }
    public void setCreateName(String createName)
            {
            this.createName = createName;
            }

    public String getCreateName()
            {
            return createName;
            }
    public void setUpdateName(String updateName)
            {
            this.updateName = updateName;
            }

    public String getUpdateName()
            {
            return updateName;
            }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("eventCode", getEventCode())
            .append("eventName", getEventName())
            .append("path", getPath())
            .append("flag", getFlag())
            .append("reason", getReason())
            .append("createBy", getCreateBy())
            .append("createName", getCreateName())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateName", getUpdateName())
            .append("updateTime", getUpdateTime())
        .toString();
        }
        }
